Bug 1340079 (CVE-2016-5030) - CVE-2016-5030 libdwarf: Null pointer dereference in _dwarf_calculate_info_section_end_ptr()
Summary: CVE-2016-5030 libdwarf: Null pointer dereference in _dwarf_calculate_info_sec...
Keywords:
Status: CLOSED WONTFIX
Alias: CVE-2016-5030
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1340129 1340128
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-05-26 12:17 UTC by Andrej Nemec
Modified: 2019-09-29 13:50 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-06-08 02:52:51 UTC


Attachments (Terms of Use)

Description Andrej Nemec 2016-05-26 12:17:32 UTC
A null pointer dereference vulnerability was found in libdwarf in _dwarf_calculate_info_section_end_ptr() function.

References (with a link to PoC):

http://seclists.org/oss-sec/2016/q2/393

External references:

https://www.prevanders.net/dwarfbug.html

Upstream fix:

https://sourceforge.net/p/libdwarf/code/ci/6fa3f710ee6f21bba7966b963033a91d77c952bd

Comment 1 Andrej Nemec 2016-05-26 13:42:07 UTC
Created libdwarf tracking bugs for this issue:

Affects: fedora-all [bug 1340128]
Affects: epel-6 [bug 1340129]


Note You need to log in before you can comment on or make changes to this bug.